add gdc (but it's not really working)
authorAnders Bergh <anders1@gmail.com>
Fri, 21 Dec 2007 09:29:05 +0100
changeset 11 664cc1efa89d
parent 10 740601aa36e5
child 12 faa5eb587542
add gdc (but it's not really working) add llvm add dmd.conf to backup array in libphobos remove ./configure from luafilsystem
sources/gdc/PKGBUILD
sources/gdc/gcc_pure64.patch
sources/libphobos/PKGBUILD
sources/llvm/LICENSE.TXT
sources/llvm/PKGBUILD
sources/luafilesystem/PKGBUILD
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/gdc/PKGBUILD	Fri Dec 21 09:29:05 2007 +0100
@@ -0,0 +1,55 @@
+# Contributor: Anders Bergh <anders1@gmail.com>
+pkgname=gdc
+pkgver=0.24
+_gccver=4.1.2
+pkgrel=1
+pkgdesc="The D programming language - GCC frontend"
+arch=('i686' 'x86_64')
+url="http://dgcc.sourceforge.net/"
+license=('GPL')
+groups=()
+depends=()
+makedepends=()
+provides=('d-gdc' 'd-compiler')
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+source=(http://downloads.sourceforge.net/dgcc/$pkgname-$pkgver-src.tar.bz2
+        ftp://gcc.gnu.org/pub/gcc/releases/gcc-${_gccver}/gcc-core-${_gccver}.tar.bz2
+        gcc_pure64.patch)
+noextract=()
+md5sums=() #generate with 'makepkg -g'
+
+build() {
+  cd "$startdir/src/gcc-${_gccver}"
+
+  cp -r "$startdir/src/d" gcc
+  ./gcc/d/setup-gcc.sh || return 1
+
+  # gcc 4.1.x doesn't support -mtune=
+  CFLAGS=$(echo $CFLAGS|sed 's/-mtune=\S*//')
+
+  # lib64->lib
+  if [ "${CARCH}" = "x86_64" ]; then
+    patch -Np1 -i ../gcc_pure64.patch || return 1
+  fi
+
+  # Don't run fixincludes
+  sed -i -e 's@\./fixinc\.sh@-c true@' gcc/Makefile.in
+
+  ./configure --prefix=/usr --enable-languages=d  \
+    --libdir=/usr/lib/gdc --includedir=/usr/include/d/${_gccver} \
+    --with-gxx-include-dir=/usr/include/d/${_gccver} \
+    --libexecdir=/usr/lib/gdc --with-system-zlib \
+    --disable-nls --disable-multilib --disable-shared --with-local-prefix=/usr \
+    --disable-libssp --disable-libiberty --disable-libmudflap
+  make || return 1
+
+  cd host-$CHOST/gcc
+  make DESTDIR=$startdir/pkg lang.install-normal lang.install-common lang.install-man
+  install -Dm 755 cc1d $startdir/pkg/usr/lib/gcc/${CHOST}/${_gccver}
+}
+
+# vim:set ts=2 sw=2 et:
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/gdc/gcc_pure64.patch	Fri Dec 21 09:29:05 2007 +0100
@@ -0,0 +1,26 @@
+diff -Naur gcc-4.1.0.orig/gcc/config/i386/linux64.h gcc-4.1.0/gcc/config/i386/linux64.h
+--- gcc-4.1.0.orig/gcc/config/i386/linux64.h	2005-08-10 13:53:01.000000000 -0400
++++ gcc-4.1.0/gcc/config/i386/linux64.h	2006-03-01 01:13:54.000000000 -0500
+@@ -60,8 +60,8 @@
+   %{!shared: \
+     %{!static: \
+       %{rdynamic:-export-dynamic} \
+-      %{m32:%{!dynamic-linker:-dynamic-linker /lib/ld-linux.so.2}} \
+-      %{!m32:%{!dynamic-linker:-dynamic-linker /lib64/ld-linux-x86-64.so.2}}} \
++      %{m32:%{!dynamic-linker:-dynamic-linker /lib32/ld-linux.so.2}} \
++      %{!m32:%{!dynamic-linker:-dynamic-linker /lib/ld-linux-x86-64.so.2}}} \
+     %{static:-static}}"
+ 
+ /* Similar to standard Linux, but adding -ffast-math support.  */
+diff -Naur gcc-4.1.0.orig/gcc/config/i386/t-linux64 gcc-4.1.0/gcc/config/i386/t-linux64
+--- gcc-4.1.0.orig/gcc/config/i386/t-linux64	2005-08-10 13:53:01.000000000 -0400
++++ gcc-4.1.0/gcc/config/i386/t-linux64	2006-03-01 01:13:54.000000000 -0500
+@@ -6,7 +6,7 @@
+ 
+ MULTILIB_OPTIONS = m64/m32
+ MULTILIB_DIRNAMES = 64 32 
+-MULTILIB_OSDIRNAMES = ../lib64 ../lib
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+ 
+ LIBGCC = stmp-multilib
+ INSTALL_LIBGCC = install-multilib
--- a/sources/libphobos/PKGBUILD	Mon Dec 17 07:42:04 2007 +0100
+++ b/sources/libphobos/PKGBUILD	Fri Dec 21 09:29:05 2007 +0100
@@ -1,7 +1,7 @@
 # Maintainer: Anders Bergh <anders1@gmail.com>
 pkgname=libphobos
 pkgver=1.024
-pkgrel=1
+pkgrel=2
 pkgdesc="The Phobos standard library for the D programming language."
 arch=('i686')
 url="http://www.digitalmars.com/d/1.0/"
@@ -10,7 +10,6 @@
          'e93f0ccb1e5c00cd222af5a9be3f599a')
 depends=('d-dmd' 'dmd=1.024')
 license=('custom')
-# I'll figure this out later, should be possible for them to not conflict
 conflicts=('libtango')
 
 build() {
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/llvm/LICENSE.TXT	Fri Dec 21 09:29:05 2007 +0100
@@ -0,0 +1,69 @@
+==============================================================================
+LLVM Release License
+==============================================================================
+University of Illinois/NCSA
+Open Source License
+
+Copyright (c) 2003-2007 University of Illinois at Urbana-Champaign.
+All rights reserved.
+
+Developed by:
+
+    LLVM Team
+
+    University of Illinois at Urbana-Champaign
+
+    http://llvm.org
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of
+this software and associated documentation files (the "Software"), to deal with
+the Software without restriction, including without limitation the rights to
+use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
+of the Software, and to permit persons to whom the Software is furnished to do
+so, subject to the following conditions:
+
+    * Redistributions of source code must retain the above copyright notice,
+      this list of conditions and the following disclaimers.
+
+    * Redistributions in binary form must reproduce the above copyright notice,
+      this list of conditions and the following disclaimers in the
+      documentation and/or other materials provided with the distribution.
+
+    * Neither the names of the LLVM Team, University of Illinois at
+      Urbana-Champaign, nor the names of its contributors may be used to
+      endorse or promote products derived from this Software without specific
+      prior written permission.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
+CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE
+SOFTWARE.
+
+==============================================================================
+Copyrights and Licenses for Third Party Software Distributed with LLVM:
+==============================================================================
+The LLVM software contains code written by third parties.  Such software will
+have its own individual LICENSE.TXT file in the directory in which it appears.
+This file will describe the copyrights, license, and restrictions which apply
+to that code.
+
+The disclaimer of warranty in the University of Illinois Open Source License
+applies to all code in the LLVM Distribution, and nothing in any of the
+other licenses gives permission to use the names of the LLVM Team or the
+University of Illinois to endorse or promote products derived from this
+Software.
+
+The following pieces of software have additional or alternate copyrights,
+licenses, and/or restrictions:
+
+Program             Directory
+-------             ---------
+System Library      llvm/lib/System
+Compiler Driver     llvm/tools/llvmc
+Autoconf            llvm/autoconf
+                    llvm/projects/ModuleMaker/autoconf
+                    llvm/projects/sample/autoconf
+GNU Libc            llvm/runtime/GCCLibraries/libc
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/llvm/PKGBUILD	Fri Dec 21 09:29:05 2007 +0100
@@ -0,0 +1,32 @@
+# Maintainer: Tomas Lindquist Olsen <tomas@famolsen.dk>
+# Contributor: Roberto Alsina <ralsina@kde.org>
+pkgname=llvm
+pkgver=2.1
+pkgrel=2
+pkgdesc="Low Level Virtual Machine"
+arch=('i686' 'x86_64')
+url="http://llvm.org"
+license=(custom:"University of Illinois/NCSA Open Source License")
+depends=('libtool' 'libelf')
+makedepends=('gcc')
+source=("http://llvm.org/releases/$pkgver/$pkgname-$pkgver.tar.gz" LICENSE.TXT)
+noextract=()
+md5sums=('b930e7213b37acc934d0d163cf13af18' 'b241a4d2e9ab2a8f5fc83d849f279640')
+
+build() {
+  install -D LICENSE.TXT $startdir/pkg/usr/share/licenses/llvm/COPYING
+  cd $startdir/src/$pkgname-$pkgver
+  sed -i 's:$(PROJ_prefix)/etc/llvm:/etc/llvm:' Makefile.config.in || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
+  make || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+
+  # no Hello transformation please
+  rm $startdir/pkg/usr/lib/LLVMHello*
+  # docs are installed in /usr/docs which makepkg doesn't pick up, so remove it
+  rm -rf $startdir/pkg/usr/docs
+  # no idea where these come from, but no thanks
+  rm $startdir/pkg/etc/llvm/.dir
+  rm $startdir/pkg/usr/bin/.dir
+  rm $startdir/pkg/usr/lib/.dir
+}
--- a/sources/luafilesystem/PKGBUILD	Mon Dec 17 07:42:04 2007 +0100
+++ b/sources/luafilesystem/PKGBUILD	Fri Dec 21 09:29:05 2007 +0100
@@ -1,7 +1,7 @@
 # Contributor: Anders Bergh <anders1@gmail.com>
 pkgname=luafilesystem
 pkgver=1.3.0
-pkgrel=2
+pkgrel=3
 pkgdesc="File System Library for the Lua Programming Language"
 arch=(i686 x86_64)
 url="http://www.keplerproject.org/luafilesystem/"
@@ -21,7 +21,6 @@
   cd "$startdir/src/$pkgname-$pkgver"
   patch -p1 < "$startdir/src/luafilesystem-arch.patch"
 
-  ./configure
   make || return 1
   make DESTDIR="$startdir/pkg" install